## termpaint 0.3.0

=== meson_options.txt ===
# SPDX-License-Identifier: BSL-1.0
# termpaintx
option('ttyrescue-path', type : 'string', value : '/usr/libexec')
option('ttyrescue-install', type : 'boolean', value : false)
option('ttyrescue-fexec-blob', type : 'boolean', value : true)
option('tools-path', type : 'string', value : '')
option('valgrind-compat', type : 'boolean', value : true)
option('system-docopt', type : 'feature', value : 'disabled')
option('system-fmt', type : 'feature', value : 'disabled')
option('system-catch2', type : 'feature', value : 'disabled')
option('system-picojson', type : 'feature', value : 'disabled')
option('errorlog', type : 'boolean', value : false)
# samples etc
option('ssh', type : 'boolean', value : false)

=== doc/requirements.txt ===
sphinx >=3.3.1,<4
sphinx-autobuild

=== debian/changelog ===
termpaint (0.3.0-2) unstable; urgency=high

  * Fix Vcs-Git URL in debian/control
  * Fix mismatched lintian override very-long-line-length-in-source-file
  * Add patch to enable building on armel supplied by upstream
  * Update out-of-date-standards-version to 4.6.2

 -- Christoph Hueffelmann <chr@istoph.de>  Fri, 03 Feb 2023 20:55:00 +0100

termpaint (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1006514)

 -- Christoph Hueffelmann <chr@istoph.de>  Tue, 26 Apr 2022 23:50:40 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dsystem-docopt=enabled -Dsystem-fmt=enabled \
                         -Dsystem-catch2=enabled -Dsystem-picojson=enabled \
                         -Dttyrescue-fexec-blob=false -Dttyrescue-path=/usr/lib/$(DEB_HOST_MULTIARCH)/termpaint0a/ \
                         -Dttyrescue-install=true \
                         -Dtools-path=/usr/lib/$(DEB_HOST_MULTIARCH)/termpaint0a/

execute_after_dh_auto_build:
	cd doc && python3 -m sphinx -b html . _build -a

override_dh_compress:
	dh_compress -Xcallback-event-handling.c -Xsync-event-handling.c

=== debian/tests/control ===
Tests: selftests
Depends: @, build-essential, meson, ninja-build, pkg-config, catch2, picojson-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/termpaint-$1\.tar\.gz/ \
  https://github.com/termpaint/termpaint/tags .*/v?(\d\S+)\.tar\.gz

## termpaint 0.3.1

=== meson_options.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 option('ttyrescue-path', type : 'string', value : '/usr/libexec')
 option('ttyrescue-install', type : 'boolean', value : false)
 option('ttyrescue-fexec-blob', type : 'boolean', value : true)
+option('ttyrescue-fexec-blob-type', type : 'combo', choices: ['default', 'lss', 'musl-gcc'], value : 'default')
 option('tools-path', type : 'string', value : '')
 option('valgrind-compat', type : 'boolean', value : true)
 option('system-docopt', type : 'feature', value : 'disabled')

=== doc/requirements.txt ===
MarkupSafe <2.0
Jinja2 <3.0
sphinx >=3.3.1,<4
sphinx-autobuild

=== debian/changelog ===
termpaint (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1
  * d/control: add uploader
  * d/patches: remove backported patches
  * d/copyright: Update to 2025

 -- Christoph Hueffelmann <chr@istoph.de>  Tue, 01 Apr 2025 20:36:35 +0000

termpaint (0.3.0-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0 (No changes needed).
  * debian/copyright: Update to 2024

 -- Christoph Hueffelmann <chr@istoph.de>  Thu, 21 Nov 2024 17:38:13 +0000

termpaint (0.3.0-4) unstable; urgency=medium

  * Upstream patch to fix: FTBFS with fmtlib 10 (Closes: #1056389)

 -- Christoph Hueffelmann <chr@istoph.de>  Wed, 20 Nov 2024 22:34:40 +0000

termpaint (0.3.0-3) unstable; urgency=medium

  * Fix: Fails to build source after successful build (Closes: #1047032)
  * Upstream patch to fix catch2 version 3.x (Closes: #1053775)

 -- Christoph Hueffelmann <chr@istoph.de>  Sat, 14 Oct 2023 21:17:59 +0200

=== debian/control ===
Source: termpaint
Maintainer: Christoph Hueffelmann <chr@istoph.de>
Uploaders: Martin Hostettler <textshell@uchuujin.de>
Section: libs
Priority: optional
Standards-Version: 4.7.2
Rules-Requires-Root: no
Build-Depends:
  debhelper-compat (=13),
  meson,
  ninja-build,
  pkgconf,
  picojson-dev,
  catch2,
  libfmt-dev,
  libdocopt-dev,
  cmake,
  python3-sphinx:native,
  dh-sequence-sphinxdoc
Homepage: https://termpaint.namepad.de/
Vcs-Git: https://salsa.debian.org/debian/termpaint.git
Vcs-Browser: https://salsa.debian.org/debian/termpaint

Package: libtermpaint0a
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: low level terminal access - shared library
 Termpaint is a low level terminal interface library for
 character-cell terminals in the tradition of VT1xx (like xterm, etc).
 It’s designed to be portable and flexible to integrate. It covers event
 handling and rendering.
 .
 This package contains the shared libraries necessary to run programs
 compiled with termpaint.

Package: libtermpaint-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtermpaint0a (= ${binary:Version}), ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: low level terminal access - headers
 Termpaint is a low level terminal interface library for
 character-cell terminals in the tradition of VT1xx (like xterm, etc).
 It’s designed to be portable and flexible to integrate. It covers event
 handling and rendering.
 .
 This package contains the header files and symbolic links need for
 building software using termpaint.
